import typing
import strawberry
from selfprivacy_api.graphql.mutations.mutation_interface import (
    MutationReturnInterface,
)


@strawberry.type
class User:
    """Users management"""

    username: str
    # userHomeFolderspace: UserHomeFolderUsage
    sshKeys: typing.Optional[typing.List[str]] = None


@strawberry.type
class UserMutationReturn(MutationReturnInterface):
    """Return type for user mutation"""

    user: typing.Optional[User]
